var $ = jQuery;
$(function() {

function BindGroup(id, StudyGroupName){
	return '\
	<div class="AttachedGroup" id="'+ id +'">\
		<div class="StudyGroupInfo">'+ StudyGroupName +'</div>\
		<div class="UnbindGroup">Отсоединить группу</div>\
	</div>';
}

// Прикрепить группу
$('button.AttachGroupButton').click(function()
{
	var jSelector = $(this).prev();
	var StudyGroupID = jSelector.val();
	var StudyGroupName = jSelector.children("option:selected").first().text();
	$.post(
		URLdir + 'handler/map/BindGroup',
		{
			'StudyGroupID': StudyGroupID,
			'DisciplineID': DisciplineID
		},
		function(data)
		{
			data = $.parseJSON(data);
			if(data.success === true) {
				jSelector.parent().next().append(BindGroup(StudyGroupID, StudyGroupName));
				EventInspector_ShowMsg('Группа добавлена', 'success');
			}
			else EventInspector_ShowMsg('Ошибка при добавление группы', 'error');
		}
	);
});

// Отсоединить группу
$('div.AttachedGroupsList').on('click', '.UnbindGroup', function()
{
	var GroupDIV = $(this).parent();
	var StudyGroupID = GroupDIV.attr('id');
	$.post(
		URLdir + 'handler/map/UnbindGroup',
		{
			'StudyGroupID': StudyGroupID,
			'DisciplineID': DisciplineID
		},
		function(data)
		{
			data = $.parseJSON(data);
			if(data.success === true) {
				GroupDIV.remove();
				EventInspector_ShowMsg('Группа отсоединена', 'success');
			}
			else EventInspector_ShowMsg('Ошибка при отсоединение группы', 'error');
		}
	);
});


});
